Deals
GB GBP

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.

TP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+

TP-Link · Network Switch

TP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+ price in United Kingdom

Model TL-SG2210MPMPN SG2210MP(UN)MPN TL-SG2210MPMPN SG2210MPEAN 6935364030674EAN 845973088675

  • Type1U
  • ColourBlack
  • Switch typeManaged
  • Basic switching RJ-45 Ethernet ports quantity8

Lowest price incl. delivery

£137.30

at PCHUB.UKFree deliveryIn stock

  • 3 stores
  • Range £137.30 – £171.48
  • Save up to £34.18 vs. the dearest store
  • 3 in stock
  • 2 with free delivery
  • Checked 5 Oct 2026, 18:25 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in United Kingdom

3 stores · prices in GBP · updated 5 Oct 2026, 18:25 UTC

Lowest price£137.30at PCHUB.UK · free shippingGo to PCHUB.UK (opens in a new tab)
Price range across 5 offers

Save up to £34.18 (20%) by choosing the cheapest store

  • 3 of 3 stores in stock
  • 2 with free shipping
  • Checked 5 Oct 2026, 18:25 UTC

  1. PCHUB.UKLowest priceTP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+ In stockFree shipping
    £137.30incl. free shipping
    Go to store : PCHUB.UK (opens in a new tab)
  2. Back to the OfficeTP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+ In stockFree shipping
    £160.99incl. free shipping+£23.69 (17%) vs lowest
    Go to store : Back to the Office (opens in a new tab)
  3. PCHUB.UKTP-Link Omada 10-Port Gigabit Smart Switch with 8-Port PoE+ In stockFree shipping
    £171.48incl. free shipping+£34.18 (25%) vs lowest
    Go to store : PCHUB.UK (opens in a new tab)
  4. PcNova.co.ukTP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+ In stockShipping not stated
    £137.30item price, shipping extra
    Go to store : PcNova.co.uk (opens in a new tab)
  5. PcNova.co.ukTP-Link Omada 10-Port Gigabit Smart Switch with 8-Port PoE+ In stockShipping not stated
    £151.93item price, shipping extra+£14.63 (11%) vs lowest
    Go to store : PcNova.co.uk (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 5 Oct 2026, 18:25 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in United Kingdom

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Product details

Identification

Brand
TP-Link
Product
JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+
Full name
TP-Link JetStream 10-Port Gigabit Smart PoE Switch with 8-Port PoE+
Manufacturer part number
SG2210MP(UN), TL-SG2210MP, SG2210MP
EAN / UPC
6935364030674, 845973088675, 6935364030681, 840460605083, 1210002611787, 1210002611794

71 specifications from the manufacturer's data sheet

Management features

Switch typeManaged
Switch layerL2/L2+
Quality of Service (QoS) supportYes
Cloud-managedYes
Web-based managementYes
ARP inspectionYes
Configuring Location Settings (CLI)Yes
System event logYes
MIB supportRFC2925, RFC2618, RFC2620, RFC2021, RFC2819, RFC2674, RFC1213, RFC2233, RFC1643, RFC1493

Ports & interfaces

Basic switching RJ-45 Ethernet ports quantity8
Basic switching RJ-45 Ethernet ports typeGigabit Ethernet (10/100/1000)
Gigabit Ethernet (copper) ports quantity8
Installed SFP modules quantity0
Installed SFP+ modules quantity0
SFP module slots quantity2

Network

Networking standardsIEEE 802.1D, IEEE 802.1Q, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3i, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z
10G supportNo
Copper ethernet cabling technology10BASE-T, 100BASE-TX, 1000BASE-T
Port mirroringYes
Broadcast storm controlYes
Flow control supportYes
Link aggregationYes
Rate limitingYes
Spanning tree protocolYes
VLAN supportYes
Virtual LAN featuresMAC address-based VLAN, Multicast VLAN, Protocol-based VLAN, Tagged VLAN, Voice VLAN
Number of VLANs4000

Optical fiber

Fiber ethernet cabling technology100BASE-FX, 1000BASE-X

Data transmission

MAC address table8000 entries
Switching capacity20 Gbit/s
Forwarding rate14.9 Mpps
Number of queues8
Jumbo frames supportYes
Jumbo frames9000
Packet buffer memory4.1 MB

Security

DHCP featuresDHCP client, DHCP relay, DHCP server, DHCP snooping, DHCPv6 client, DHCPv6 snooping
Access Control List (ACL)Yes
IGMP snoopingYes
BPDU filtering/protectionYes
IP-MAC-Port bindingYes
Queue scheduling algorithmsSP, Weighted Round Robin (WRR)
SSH/SSL supportYes
Security algorithmsEAP-LEAP, EAP-MD5, EAP-TLS, EAP-TTLS, HTTPS, SNMP, SNMPv2, SNMPv3, SSH, SSH-2, SSL/TLS

Multicast features

Multicast supportYes

Protocols

Management protocolsSNMPv1/v2c/v3, SNTP

Design

Rack mountingYes
Form factor1U
Product colourBlack
Number of fans1 fan(s)

Power

Power sourceAC
Power supply includedYes
AC input voltage100 - 240 V
AC input frequency50/60 Hz
Power consumption (max)173.9 W

Power over Ethernet (PoE)

Power over Ethernet (PoE)Yes
Power over Ethernet plus (PoE+) ports quantity8
Total Power over Ethernet (PoE) budget150 W

Operational conditions

Operating temperature (T-T)0 - 50 °C
Storage temperature (T-T)-40 - 70 °C
Operating relative humidity (H-H)10 - 90%
Storage relative humidity (H-H)5 - 90%
Heat dissipation594.46 BTU/h

Weight & dimensions

Width294 mm
Depth180 mm
Height44 mm

Packaging data

Package width250 mm
Package depth400 mm
Package height80 mm
Package weight2.12 kg

Certificates

CertificationCE, FCC, RoHS

Logistics data

Harmonized System (HS) code85176990

More network switches deals in United Kingdom

All network switches deals